Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class SessionHandler

    java.lang.Object
      org.jboss.portal.wsrp.consumer.SessionHandler

All Implemented Interfaces:
  PortalEventListener

    public class SessionHandler

extends java.lang.Object
implements PortalEventListener

Manages session informations on behalf of a consumer.

Since:
  2.4 (May 31, 2006)
Version:
  $Revision: 9360 $
Author:
  Chris Laprun

Field Summary
`protected WSRPConsumerImpl` | `consumer`

Constructor Summary
`SessionHandler(WSRPConsumerImpl consumer)` Constructs a new SessionHandler.

Method Summary
`void` | `initCookieIfNeeded(org.jboss.portal.portlet.invocation.PortletInvocation invocation)`
`boolean` | `isPerUserCookieInit()`
`void` | `onEvent(PortalEventContext eventContext, PortalEvent event)`
`boolean` | `requiresInitCookie()`
`void` | `resetCurrentlyHeldInformation()` Resets the information held by RequestHeaderClientHandler for the current interaction.
`void` | `setRequiresInitCookie(CookieProtocol requiresInitCookie)`
`void` | `updateSessionInfoFor(java.lang.String originalHandle, java.lang.String newHandle, org.jboss.portal.portlet.invocation.PortletInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumer

    protected WSRPConsumerImpl consumer

Constructor Detail

### SessionHandler

    public SessionHandler(WSRPConsumerImpl consumer)

  Constructs a new SessionHandler.

  Parameters:
    `consumer` - the consumer this SessionHandler is associated with.

Method Detail

### isPerUserCookieInit

    public boolean isPerUserCookieInit()

### requiresInitCookie

    public boolean requiresInitCookie()

### setRequiresInitCookie

    public void setRequiresInitCookie(CookieProtocol requiresInitCookie)

### resetCurrentlyHeldInformation

    public void resetCurrentlyHeldInformation()

  Resets the information held by RequestHeaderClientHandler for the current interaction.

### initCookieIfNeeded

    public void initCookieIfNeeded(org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                            throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### onEvent

    public void onEvent(PortalEventContext eventContext,
                        PortalEvent event)

  Specified by:
    `onEvent` in interface `PortalEventListener`

### updateSessionInfoFor

    public void updateSessionInfoFor(java.lang.String originalHandle,
                                     java.lang.String newHandle,
                                     org.jboss.portal.portlet.invocation.PortletInvocation invocation)

  Parameters:
    `originalHandle` -
    `newHandle` -
    `invocation` -
  Since:
    2.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD